[arch-commits] Commit in dia/repos (3 files)

Jan de Groot jgc at archlinux.org
Thu May 28 17:49:47 EDT 2009


    Date: Thursday, May 28, 2009 @ 17:49:46
  Author: jgc
Revision: 40212

Merged revisions 40079 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/dia/trunk

........
  r40079 | jgc | 2009-05-27 10:16:56 +0000 (Wed, 27 May 2009) | 5 lines
  
  - Remove GNOME support, I see no need for this
  - Add libart-lgpl and gtk2 dependencies
  - Remove deprecated scrollkeeper crap
  - Update mime, desktop and icon cache info on post_install/upgrade/remove
........

Modified:
  dia/repos/extra-x86_64/	(properties)
  dia/repos/extra-x86_64/PKGBUILD
  dia/repos/extra-x86_64/dia.install

-------------+
 PKGBUILD    |   19 +++++++++----------
 dia.install |   19 ++++++-------------
 2 files changed, 15 insertions(+), 23 deletions(-)


Property changes on: dia/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /dia/trunk:1-38949
   + /dia/trunk:1-40211

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-28 21:10:38 UTC (rev 40211)
+++ extra-x86_64/PKGBUILD	2009-05-28 21:49:46 UTC (rev 40212)
@@ -4,22 +4,21 @@
 
 pkgname=dia
 pkgver=0.97
-pkgrel=1
+pkgrel=2
 pkgdesc="DIAgram editor"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libxslt' 'desktop-file-utils' 'scrollkeeper')
-makedepends=('intltool' 'perlxml' 'python' 'libgnomeui')
-source=(ftp://ftp.gnome.org/pub/gnome/sources/$pkgname/0.97/$pkgname-$pkgver.tar.bz2)
+url="http://live.gnome.org/Dia"
 install=dia.install
-url="http://www.gnome.org/projects/dia/"
+depends=('libxslt>=1.1.24' 'desktop-file-utils' 'libart-lgpl>=2.3.20' 'gtk2>=2.16.1')
+makedepends=('intltool' 'python')
 options=('!libtool')
+source=(ftp://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.97/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('3d11f9aaa5a4923f0a5533962c87bdfb')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --enable-db2html --with-cairo --with-python --enable-gnome
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --enable-db2html --with-cairo --with-python --disable-gnome || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
 }
-
-md5sums=('3d11f9aaa5a4923f0a5533962c87bdfb')

Modified: extra-x86_64/dia.install
===================================================================
--- extra-x86_64/dia.install	2009-05-28 21:10:38 UTC (rev 40211)
+++ extra-x86_64/dia.install	2009-05-28 21:49:46 UTC (rev 40212)
@@ -1,20 +1,13 @@
 post_install() {
-  echo "updating scrollkeeper catalogue ..."
-  scrollkeeper-update -p /var/lib/scrollkeeper > /dev/null 2>&1
-  update-desktop-database > /dev/null 2>&1    
+  update-desktop-database -q
+  update-mime-database usr/share/mime > /dev/null
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
 post_upgrade() {
-  post_install $1
+  post_install
 }
 
-pre_remove() {
-  echo "updating scrollkeeper catalogue ..."
-  scrollkeeper-update -p /var/lib/scrollkeeper > /dev/null 2>&1
-  update-desktop-database > /dev/null 2>&1      
+post_remove() {
+  post_install
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list